{if $api_status eq 'error'}
  Api answer error!
{/if}
{if $show_update_buton_usage == 'on'}
<div>
{$cp->HtmlClientInformationOnRealUsed()}
</div>
<br><br>
{/if}
<div id="container">
</div>
{* Start header *}
{include file='modules/servers/puqHestiaCP/templates/include/header.tpl' params=$params lang=$lang user_info=$user_info get=$get}
{* END header *}
<br>




<style>
        .hostbtn {
            width: 150px;
            min-width: 150px;
            padding: 10px 15px;
            background: #eee;
            display: inline-block;
            margin: 5px;
            vertical-align: top;
            border-radius: 3px;
            font-weight: 600;
            text-align: center;
            font-size: 14px;
            transition: transform 0.2s;
        }

        .hostbtn i {
            margin-right: 0;
            display: block;
            font-size: 24px;
            margin-bottom: 10px;
            transition: transform 0.2s;
        }

        .hostbtn:hover {
            background: #dbdbdb;
        }

        .hostbtn:hover i {
            transform: scale(1.2); /* Enlarge icon on hover */
        }
</style>

<hr>
  <div class="row justify-content-center" style="margin-right: -25px; margin-left: -25px;">
    <div class="d-flex justify-content-center flex-wrap">
      {* START card for Visit on site *}
      {if $service_domain}
        <a href="http://{$service_domain}" target="_blank" class="hostbtn">
          <i class="fas fa-link status-icon orange"></i>
          {$lang['Go to']} {$service_domain}
        </a>
      {/if}
      {* END card for Visit on site *}

      {if $go_to_hestiacp == 'on'}
        {* START card for CP *}
        <a href="https://{$server_hostname}:{$server_port}/" target="_blank" class="hostbtn">
          <i class="fas fa-database status-icon orange"></i>
          {$lang['Go to HestiaCP']}
        </a>
        {* END card for CP *}
      {/if}

      {if $phpPgAdmin_is_on_off == 'on'}
        {* START card for phpPgAdmin *}
        <a href="https://{$server_hostname}/phppgadmin/" target="_blank" class="hostbtn">
          <i class="fas fa-database status-icon orange"></i>
          {$lang['Go to phpPgAdmin']}
        </a>
        {* END card for phpPgAdmin *}
      {/if}

      {if $phpMyAdmin_is_on_off == 'on'}
        {* START card for phpMyAdmin *}
        <a href="https://{$server_hostname}/phpmyadmin/" target="_blank" class="hostbtn">
          <i class="fas fa-database status-icon orange"></i>
          {$lang['Go to phpMyAdmin']}
        </a>
        {* END card for phpMyAdmin *}
      {/if}

      {if $user_info['WEB_DOMAINS'] != '0'}
        {if $filemanager_on_off == 'on'}
          {* START card for connect to filemanager *}
          <form id="filemanagerForm" action="clientarea.php?action=productdetails&id={$params['serviceid']}&action_m=ftp" method="post" style="display: none;">
            <div class="button_body" id="button_body" onload="Start();" style="display: none;"></div>
            <input type="hidden" name="fm_connect" value="fm_connect">
            <input type="hidden" name="for_link" value="{str_replace("/clientarea.php","",$_SERVER["SCRIPT_NAME"])}">
            <input type="hidden" name="page" value="home">
          </form>
          <a href="#" class="hostbtn" onclick="document.getElementById('filemanagerForm').submit(); return false;">
            <i class="fa fa-file"></i>
            {$lang['File manager']}
          </a>
          {* END card for connect to filemanager *}
        {/if}
      {/if}
    </div>
  </div>


<hr>
<div class="d-flex justify-content-center">
  <b>{if $go_to_hestiacp == 'on'}<i>{include file='modules/servers/puqHestiaCP/templates/include/icons/house-user.tpl'}</i>&nbsp;&nbsp;<a
    target="_blank"
  href="https://{$server_hostname}:{$server_port}/">https://{$server_hostname}:{$server_port}/</a>{/if}</b>
</div>
<hr>
{if $show_password == 'on'}
  <div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center mb-2 mt-2">
      <b><i class="fa fa-user">&nbsp;&nbsp;</i>{$lang['Username']}:</b>
    </div>
    <div class="col-md-8 mb-2 mt-2">
      <div class="input-group">
          <input type="text" id="serverLogin" class="form-control"
              value="{$cp->service_username}" disabled>
          <div class="input-group-btn input-group-append">
              <button type="button" onclick="copyServerLogin()" class="btn btn-outline-danger">
                  <span class="border-span">
                      <i class="fa fa-copy"></i>
                  </span>
              </button>
          </div>
      </div>


    </div>
  </div>
  <div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center mb-2 mt-2">
      <b><i class="fa fa-lock">&nbsp;&nbsp;</i>{$lang['Password']}:</b>
    </div>
    <div class="col-md-8 mb-2 mt-2">
      <div class="d-flex" style="width: 100%;">
        <div class="input-group" style="flex: 1;">
          <input type="password" id="password" name="password" class="form-control" value="{$cp->service_password}" disabled>
          <div class="input-group-append">
            <button id="showPasswordButton" class="btn btn-outline-secondary" type="button">
              <i class="fa fa-eye"></i>
            </button>
            <button onclick="copyPassword()" id="copyPasswordButton" class="btn btn-outline-danger" type="button">
              <i class="fa fa-copy"></i>
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center mb-2 mt-2">
      <b><i class="fa fa-key">&nbsp;&nbsp;</i>{$lang['SSH Access']}:</b>
    </div>
    <div class="col-md-8 mb-2 mt-2">
      {if $user_info['SHELL'] == "nologin"}
        {$lang['no']}
      {elseif $user_info['SHELL'] == "bash"}
        {$lang['yes']}
      {elseif $user_info['SHELL'] == "dash"}
        {$lang['yes']}
      {elseif $user_info['SHELL'] == "rbash"}
        {$lang['yes']}
      {elseif $user_info['SHELL'] == "sh"}
        {$lang['yes']}
      {/if}
    </div>
  </div>
{/if}

{if $filemanager_on_off == 'on' and $user_info['WEB_DOMAINS'] != '0'}
  <div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center mb-2 mt-2">
      <b><i class="fa fa-address-card">&nbsp;&nbsp;</i>{$lang['FTP Access']}:</b>
    </div>
    <div class="col-md-8 mb-2 mt-2">
      <a href="clientarea.php?action=productdetails&id={$params['serviceid']}&action_m=ftp" target="_blank">
        <span class="border-span">{$lang['FTP user management']}</span>
      </a>
    </div>
  </div>
{/if}

{if $server_hostname}
  <div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center mb-2 mt-2">
      <b><i class="fa fa-server">&nbsp;&nbsp;</i>{$lang['Server']}:</b>
    </div>
    <div class="col-md-8 mb-2 mt-2">
      {$server_hostname} {if $server_ip}({$server_ip}){/if}
    </div>
  </div>
{/if}

{if $server_hostname and $user_info['WEB_DOMAINS'] != '0'}
  <div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center mb-2 mt-2">
      <b><i class="fa fa-server">&nbsp;&nbsp;</i>{$lang['FTP server']}:</b>
    </div>
    <div class="col-md-8 mb-2 mt-2">
      {$server_hostname} {if $server_ip}({$server_ip}){/if}
    </div>
  </div>
{/if}

{if $server_hostname}
  <div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center mb-2 mt-2">
      <b><i class="fa fa-server">&nbsp;&nbsp;</i>{$lang['SSH Server']}:</b>
    </div>
    <div class="col-md-8 mb-2 mt-2">
      {$server_hostname} {if $server_ip}({$server_ip}){/if}
    </div>
  </div>
{/if}

{if $server_nameserver1 or $server_nameserver2}
  <div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center mb-2 mt-2">
      <b><i class="fa fa-server">&nbsp;&nbsp;</i>{$lang['Name Servers']}:</b>
    </div>
    <div class="col-md-8 mb-2 mt-2">
      {if $use_dns_from_server_setting == on}
        {if $on_server_nameserver1}{$on_server_nameserver1}<br>{/if}
        {if $on_server_nameserver2}{$on_server_nameserver2}<br>{/if}
        {if $on_server_nameserver3}{$on_server_nameserver3}<br>{/if}
        {if $on_server_nameserver4}{$on_server_nameserver4}<br>{/if}
        {if $on_server_nameserver5}{$on_server_nameserver5}<br>{/if}
      {else}
        {if $server_nameserver1}{$server_nameserver1}<br>{/if}
        {if $server_nameserver2}{$server_nameserver2}<br>{/if}
      {/if}
    </div>
  </div>
{/if}


{literal}
  <script>
      window.addEventListener('load', function() {
          var passwordField = document.getElementById('password');
          const showPasswordButton = document.getElementById('showPasswordButton');


          function startShowPassword() {
              passwordField.type = 'text';
          }

          function endShowPassword() {
              passwordField.type = 'password';
          }

          showPasswordButton.addEventListener('mousedown', startShowPassword);
          showPasswordButton.addEventListener('mouseup', endShowPassword);
          showPasswordButton.addEventListener('mouseleave', endShowPassword);

          showPasswordButton.addEventListener('touchstart', startShowPassword);
          showPasswordButton.addEventListener('touchend', endShowPassword);
          showPasswordButton.addEventListener('touchcancel', endShowPassword);


      });
      function copyPassword() {
          const input = document.getElementById('password');
          navigator.clipboard.writeText(input.value).then(() => {
              alert('Copied to clipboard: ' + input.value);
          }).catch(err => {
              console.error('Copy error: ', err);
          });
      }

      function copyServerLogin() {
          const input = document.getElementById('serverLogin');
          navigator.clipboard.writeText(input.value).then(() => {
              alert('Copied to clipboard: ' + input.value);
          }).catch(err => {
              console.error('Copy error: ', err);
          });
      }
  </script>
{/literal}